
%ifos aix6.1 || %ifos aix7.1
%global p7build 1
%else
%global p7build 0
%endif

%define contentdir /var/www
%define suexec_caller apache
%define localstatedir /var
%define apache_uid 64500
%define apache_gid 64500

%define real_name httpd

%define _libdir64 %{_prefix}/lib64

Summary: Apache HTTP Server (64-bit version)
Name: httpd_64
Version: 2.4.20
%if %{p7build}
Release: 1.p7
%else
Release: 1
%endif
URL: http://httpd.apache.org/
Source0: http://www.apache.org/dist/%{real_name}/%{real_name}-%{version}.tar.bz2
Source1: http://www.apache.org/dist/%{real_name}/%{real_name}-%{version}.tar.bz2.md5
Source2: http://www.apache.org/dist/%{real_name}/%{real_name}-%{version}.tar.bz2.sha1
Source3: %{real_name}.aix.init
Source4: %{name}-%{version}.conf.patch
Source5: %{name}-ssl-2.4.X.conf.patch
License: Apache Software License
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch, coreutils
%if %{p7build}
BuildRequires: apr-devel >= 1.5.2-1.p7
BuildRequires: apr-util-devel >= 1.5.4-1.p7
BuildRequires: apr-util-ldap >= 1.5.4-1.p7
%else
BuildRequires: apr-devel >= 1.5.2-1
BuildRequires: apr-util-devel >= 1.5.4-1
BuildRequires: apr-util-ldap >= 1.5.4-1
%endif
BuildRequires: db4-devel >= 4.7.25-2
BuildRequires: expat-devel >= 2.1.1-1
%if %{p7build}
BuildRequires: libxml2-devel >= 2.9.3-1.p7
%else
BuildRequires: libxml2-devel >= 2.9.3-1
%endif
BuildRequires: lua-devel >= 5.3.2-1
%if %{p7build}
BuildRequires: openssl-devel >= 1.0.1t-1.p7
%else
BuildRequires: openssl-devel >= 1.0.1t-1
%endif
BuildRequires: pcre-devel >= 8.38-2
BuildRequires: zlib-devel >= 1.2.3-7

%if %{p7build}
Requires: apr >= 1.5.2-1.p7
Requires: apr-util >= 1.5.4-1.p7
Requires: apr-util-ldap >= 1.5.4-1.p7
%else
Requires: apr >= 1.5.2-1
Requires: apr-util >= 1.5.4-1
Requires: apr-util-ldap >= 1.5.4-1
%endif
Requires: db4 >= 4.7.25-2
Requires: expat >= 2.1.1-1
%if %{p7build}
Requires: openssl >= 1.0.1t-1.p7
%else
Requires: openssl >= 1.0.1t-1
%endif
Requires: pcre >= 8.38-2
Requires: zlib >= 1.2.3-7

Provides: %{real_name}

%if %{p7build}
%ifos aix6.1
Requires: AIX-rpm >= 6.1.8.0
%endif
%ifos aix7.1
Requires: AIX-rpm >= 7.1.3.0
%endif
%endif

%description
The Apache HTTP Server is a powerful, efficient, and extensible
web server.


%package devel
Group: Development/Libraries
Summary: Development tools for the Apache HTTP server.
Requires: %{real_name} = %{version}-%{release}
%if %{p7build}
Requires: apr-devel >= 1.5.2-1.p7
Requires: apr-util-devel >= 1.5.4-1.p7
%else
Requires: apr-devel >= 1.5.2-1
Requires: apr-util-devel >= 1.5.4-1
%endif
Provides: %{real_name}-devel

%description devel
The httpd-devel package contains the APXS binary and other files
that you need to build Dynamic Shared Objects (DSOs) for the
Apache HTTP Server.

If you are installing the Apache HTTP server and you want to be
able to compile or develop additional modules for Apache, you need
to install this package.


%package manual
Group: Documentation
Summary: Documentation for the Apache HTTP server.
Requires: %{real_name} = %{version}-%{release}
Provides: %{real_name}-manual

%description manual
The httpd-manual package contains the complete manual and
reference guide for the Apache HTTP server. The information can
also be found at http://httpd.apache.org/docs/2.4/.


%package -n mod_lua_64
Group: System Environment/Daemons
Summary: Lua language module for the Apache HTTP server (64-bit)
BuildRequires: lua-devel >= 5.3.2-1
Requires: %{real_name} = %{version}-%{release}
Requires: lua >= 5.3.2-1
Provides: mod_lua

%description -n mod_lua_64
The mod_lua module for the Apache HTTP server allows the server to be
extended with scripts written in the Lua programming language.


%package -n mod_proxy_html_64
Group: System Environment/Daemons
Summary: Proxy HTML filter modules for the Apache HTTP server (64-bit)
%if %{p7build}
BuildRequires: libxml2-devel >= 2.9.3-1.p7
%else
BuildRequires: libxml2-devel >= 2.9.3-1
%endif
Requires: %{real_name} = %{version}-%{release}
%if %{p7build}
Requires: libxml2 >= 2.9.3-1.p7
%else
Requires: libxml2 >= 2.9.3-1
%endif
Provides: mod_proxy_html

%description -n mod_proxy_html_64
The mod_proxy_html module for the Apache HTTP server provides
a filter to rewrite HTML links within web content when used within
a reverse proxy environment. The mod_xml2enc module provides
enhanced charset/internationalisation support for mod_proxy_html.


%package -n mod_ssl_64
Group: System Environment/Daemons
Summary: SSL/TLS module for the Apache HTTP server (64-bit)
%if %{p7build}
BuildRequires: openssl-devel >= 1.0.1t-1.p7
%else
BuildRequires: openssl-devel >= 1.0.1t-1
%endif
Requires: %{real_name} = %{version}-%{release}
%if %{p7build}
Requires: openssl >= 1.0.1t-1.p7
%else
Requires: openssl >= 1.0.1t-1
%endif
Provides: mod_ssl

%description -n mod_ssl_64
The mod_ssl module provides strong cryptography for the Apache Web
server via the Secure Sockets Layer (SSL) and Transport Layer
Security (TLS) protocols.


%prep
%setup -q -n %{real_name}-%{version}


%build
export OBJECT_MODE=64

export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

export CC="xlc_r -DLUA_C89_NUMBERS"
export LTFLAGS="--tag=CC --silent"

export RM="/usr/bin/rm -f"

./configure \
    --prefix=%{_sysconfdir}/httpd \
    --exec-prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --mandir=%{_mandir} \
    --libdir=%{_libdir64} \
    --sysconfdir=%{_sysconfdir}/httpd/conf \
    --includedir=%{_includedir}/httpd \
    --libexecdir=%{_libdir64}/httpd/modules \
    --localstatedir=%{localstatedir} \
    --datadir=%{contentdir} \
    --enable-mpms-shared=all \
    --with-apr=%{_bindir}/apr-1-config_64 \
    --with-apr-util=%{_bindir}/apu-1-config_64 \
    --enable-so \
    --enable-suexec --with-suexec \
    --with-suexec-caller=%{suexec_caller} \
    --with-suexec-bin=%{_sbindir}/suexec \
    --with-suexec-logfile=/var/log/httpd/suexec_log \
    --enable-cache --enable-mem-cache \
    --enable-file-cache --enable-disk-cache \
    --enable-dav \
    --with-lua=%{_prefix} \
    --with-pcre=%{_prefix} \
    --disable-auth-digest \
    --disable-distcache \
    --disable-imagemap \
    --disable-session \
    --enable-modules=all \
    --enable-mods-shared=all \
    --enable-ssl --with-ssl \
    --enable-proxy \
    --enable-cache \
    --enable-file-cache --enable-disk-cache \
    --enable-cgid --enable-cgi \
    --enable-ldap --enable-authnz-ldap \
    --enable-authn-anon --enable-authn-alias

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export OBJECT_MODE=64

export PATH=/opt/freeware/bin:$PATH
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

# mod_ssl bits
for suffix in crl crt csr key prm ; do
    mkdir ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/ssl.${suffix}
done

# for holding mod_dav lock database
mkdir -p ${RPM_BUILD_ROOT}%{localstatedir}/lib/dav

# create a prototype session cache
mkdir -p ${RPM_BUILD_ROOT}%{localstatedir}/cache/mod_ssl
touch ${RPM_BUILD_ROOT}%{localstatedir}/cache/mod_ssl/scache.dir
touch ${RPM_BUILD_ROOT}%{localstatedir}/cache/mod_ssl/scache.pag
touch ${RPM_BUILD_ROOT}%{localstatedir}/cache/mod_ssl/scache.sem

# create cache root
mkdir -p ${RPM_BUILD_ROOT}%{localstatedir}/cache/mod_proxy

# move the build directory to within the library directory
mv ${RPM_BUILD_ROOT}%{contentdir}/build ${RPM_BUILD_ROOT}%{_libdir64}/httpd/build
(
  cd ${RPM_BUILD_ROOT}%{contentdir}
  ln -s %{_libdir64}/httpd/build build
)

# fix definitions in httpd.conf
cp ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/httpd.conf .
patch -s < %{SOURCE4}
cp httpd.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/httpd.conf

# fix definitions in extra/httpd-ssl.conf
cp ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/httpd-ssl.conf .
patch -s < %{SOURCE5}
cp httpd-ssl.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf/extra/httpd-ssl.conf

# fix man page paths
sed -e "s|/usr/local/apache2|/opt/freeware/etc/httpd/conf|" < docs/man/httpd.8 \
  > ${RPM_BUILD_ROOT}%{_mandir}/man8/httpd.8

# create the /etc/rc.d/init.d/ scripts and symlinks
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d/
cp %{SOURCE3} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/%{real_name}
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/%{real_name}

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/
ln -sf '../init.d/httpd' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/S%{real_name}
ln -sf '../init.d/httpd' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/K%{real_name}
ln -sf '../init.d/httpd' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/S%{real_name}
ln -sf '../init.d/httpd' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/K%{real_name}

# logs
rmdir ${RPM_BUILD_ROOT}%{localstatedir}/logs
mkdir -p ${RPM_BUILD_ROOT}%{localstatedir}/log/%{real_name}
mkdir -p ${RPM_BUILD_ROOT}%{localstatedir}/run

# symlinks for /etc/httpd
ln -s ../../../..%{localstatedir}/log/httpd ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/logs
ln -s ../../../..%{localstatedir}/run ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/run
ln -s ../../../..%{_libdir64}/httpd/modules ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/modules
ln -s ../../../..%{_libdir64}/httpd/build ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/build

# install log rotation stuff
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
cp ./build/rpm/httpd.logrotate ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{real_name}
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{real_name}


%pre
# add the "apache" group only if it does not yet exist
result=`/usr/sbin/lsgroup apache | /usr/bin/awk '{ print $1 }' 2>/dev/null`
if [[ "${result}" != "apache" ]] ; then
    /usr/bin/mkgroup -A id=%{apache_gid} apache 2> /dev/null || :
fi
# add the "apache" user only if it does not yet exist
result=`/usr/sbin/lsuser apache | /usr/bin/awk '{ print $1 }' 2>/dev/null`
if [[ "${result}" != "apache" ]] ; then
    /usr/bin/mkuser id=%{apache_uid} pgrp='apache' gecos='Apache User' \
        login='false' rlogin='false' apache 2> /dev/null || :
fi


%preun
if [ "$1" = "0" ]; then
    /etc/rc.d/init.d/%{real_name} stop > /dev/null 2>&1

    # remove "apache" user and group
    /usr/sbin/rmuser -p apache || :
    /usr/sbin/rmgroup apache || :
fi


%preun manual
if [ "$1" = "0" ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
    sed -e "s|Include conf/extra/httpd-manual.conf|#Include conf/extra/httpd-manual.conf|" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
fi
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%post manual
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
sed -e "s|#Include conf/extra/httpd-manual.conf|Include conf/extra/httpd-manual.conf|" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%preun -n mod_ssl_64
if [ "$1" = "0" ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
    sed -e "s|Include conf/extra/httpd-ssl.conf|#Include conf/extra/httpd-ssl.conf|" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf

    if [ -f %{_sysconfdir}/httpd/conf/ssl.key/server.key ] ; then
        rm -f %{_sysconfdir}/httpd/conf/ssl.key/server.key
    fi

    if [ -f %{_sysconfdir}/httpd/conf/ssl.crt/server.crt ] ; then
        rm -f %{_sysconfdir}/httpd/conf/ssl.crt/server.crt
    fi
fi
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%post -n mod_ssl_64
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
sed -e "s|#Include conf/extra/httpd-ssl.conf|Include conf/extra/httpd-ssl.conf|" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf

umask 077

if [ ! -f %{_sysconfdir}/httpd/conf/ssl.key/server.key ] ; then
    %{_bindir}/openssl genrsa -rand /etc/passwd:/etc/group:/etc/security/passwd:/etc/security/group 1024 > %{_sysconfdir}/httpd/conf/ssl.key/server.key 2> /dev/null
fi

FQDN=`hostname`
if [ "x${FQDN}" = "x" ]; then
    FQDN=localhost.localdomain
fi

if [ ! -f %{_sysconfdir}/httpd/conf/ssl.crt/server.crt ] ; then
    cat << EOF | %{_bindir}/openssl req -new -key %{_sysconfdir}/httpd/conf/ssl.key/server.key -x509 -days 365 -out %{_sysconfdir}/httpd/conf/ssl.crt/server.crt 2> /dev/null
--
SomeState
SomeCity
SomeOrganization
SomeOrganizationalUnit
${FQDN}
root@${FQDN}
EOF
fi

echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%preun -n mod_lua_64
if [ "$1" = "0" ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
    sed -e "s|LoadModule lua_module /opt/freeware/lib64/httpd/modules/mod_lua.so|#LoadModule lua_module /opt/freeware/lib64/httpd/modules/mod_lua.so|" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
fi
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%post -n mod_lua_64
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
sed -e "s|#LoadModule lua_module /opt/freeware/lib64/httpd/modules/mod_lua.so|LoadModule lua_module /opt/freeware/lib64/httpd/modules/mod_lua.so|" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%preun -n mod_proxy_html_64
if [ "$1" = "0" ]; then
    cat %{_sysconfdir}/httpd/conf/httpd.conf | \
    sed -e "s|Include conf/extra/proxy-html.conf|#Include conf/extra/proxy-html.conf|" \
      > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
    mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
fi
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%post -n mod_proxy_html_64
cat %{_sysconfdir}/httpd/conf/httpd.conf | \
sed -e "s|#Include conf/extra/proxy-html.conf|Include conf/extra/proxy-html.conf|" \
  > %{_sysconfdir}/httpd/conf/tmp_httpd.conf
mv -f %{_sysconfdir}/httpd/conf/tmp_httpd.conf %{_sysconfdir}/httpd/conf/httpd.conf
echo "Please restart your web server using: '/opt/freeware/sbin/apachectl restart'"


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)

%doc ABOUT_APACHE CHANGES LICENSE NOTICE README VERSIONING

%dir %{_sysconfdir}/httpd
%{_sysconfdir}/httpd/modules
%{_sysconfdir}/httpd/logs
%{_sysconfdir}/httpd/run
%dir %{_sysconfdir}/httpd/conf
%config(noreplace) %{_sysconfdir}/httpd/conf/httpd.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/magic
%config(noreplace) %{_sysconfdir}/httpd/conf/mime.types
%dir %{_sysconfdir}/httpd/conf/extra
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-autoindex.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-dav.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-default.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-info.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-languages.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-mpm.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-multilang-errordoc.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-userdir.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-vhosts.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/proxy-html.conf
%dir %{_sysconfdir}/httpd/conf/original
%dir %{_sysconfdir}/httpd/conf/original/extra
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-autoindex.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-dav.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-default.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-info.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-languages.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-mpm.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-multilang-errordoc.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-userdir.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-vhosts.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/proxy-html.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/httpd.conf

%config(noreplace) %{_sysconfdir}/logrotate.d/%{real_name}

/etc/rc.d/init.d/httpd
/etc/rc.d/rc2.d/Shttpd
/etc/rc.d/rc2.d/Khttpd
/etc/rc.d/rc3.d/Shttpd
/etc/rc.d/rc3.d/Khttpd

%{_bindir}/ab
%{_bindir}/htdbm
%{_bindir}/htdigest
%{_bindir}/htpasswd
%{_bindir}/httxt2dbm
%{_bindir}/logresolve

%{_sbindir}/apachectl
%{_sbindir}/fcgistarter
%{_sbindir}/htcacheclean
%{_sbindir}/httpd
%{_sbindir}/rotatelogs
%attr(4510,root,%{suexec_caller}) %{_sbindir}/suexec

%dir %{_libdir64}/httpd
%dir %{_libdir64}/httpd/modules
# everything but mod_ssl.so:
%{_libdir64}/httpd/modules/httpd.exp
%{_libdir64}/httpd/modules/mod_[a-k]*.so
%{_libdir64}/httpd/modules/mod_l[a-o]*.so
%{_libdir64}/httpd/modules/mod_[m-o]*.so
%{_libdir64}/httpd/modules/mod_proxy.so
%{_libdir64}/httpd/modules/mod_proxy_[a-f]*.so
%{_libdir64}/httpd/modules/mod_proxy_http.so
%{_libdir64}/httpd/modules/mod_proxy_[i-z]*.so
%{_libdir64}/httpd/modules/mod_[q-r]*.so
%{_libdir64}/httpd/modules/mod_s[eloptu]*.so
%{_libdir64}/httpd/modules/mod_[t-w]*.so

%{_mandir}/man1/ab*
%{_mandir}/man1/[d,h,l]*
%{_mandir}/man8/apachectl.8*
%{_mandir}/man8/htcacheclean.8*
%{_mandir}/man8/httpd.8*
%{_mandir}/man8/rotatelogs*
%{_mandir}/man8/suexec*

%{contentdir}/htdocs/
%{contentdir}/cgi-bin/
%{contentdir}/error/
%{contentdir}/icons/

%attr(0755,root,system) %dir %{localstatedir}/log/httpd
%attr(0700,root,system) %dir %{localstatedir}/run

%attr(0700,apache,apache) %dir %{localstatedir}/lib/dav


%files devel
%defattr(-,root,system)
%{_includedir}/httpd
%{_sysconfdir}/httpd/build
%{_bindir}/apxs
%{_bindir}/dbmmanage
%{_sbindir}/checkgid
%{_sbindir}/envvars*
%{_mandir}/man1/apxs.1*
%dir %{_libdir64}/httpd/build
%{contentdir}/build
%{_libdir64}/httpd/build/config.nice
%{_libdir64}/httpd/build/*.mk
%{_libdir64}/httpd/build/instdso.sh
%{_libdir64}/httpd/build/mkdir.sh


%files manual
%defattr(-,root,system)
%dir %{contentdir}/manual
%{contentdir}/manual/*
%dir %{_sysconfdir}/httpd/conf
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-manual.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-manual.conf


%files -n mod_lua_64
%defattr(-,root,system)
%{_libdir64}/httpd/modules/mod_lua.so


%files -n mod_proxy_html_64
%defattr(-,root,system)
%{_libdir64}/httpd/modules/mod_proxy_html.so
%{_libdir64}/httpd/modules/mod_xml2enc.so


%files -n mod_ssl_64
%defattr(-,root,system)
%{_libdir64}/httpd/modules/mod_ssl.so
%attr(0700,root,system) %dir %{_sysconfdir}/httpd/conf/ssl.crl
%attr(0700,root,system) %dir %{_sysconfdir}/httpd/conf/ssl.crt
%attr(0700,root,system) %dir %{_sysconfdir}/httpd/conf/ssl.csr
%attr(0700,root,system) %dir %{_sysconfdir}/httpd/conf/ssl.key
%attr(0700,root,system) %dir %{_sysconfdir}/httpd/conf/ssl.prm
%config(noreplace) %{_sysconfdir}/httpd/conf/extra/httpd-ssl.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/original/extra/httpd-ssl.conf
%attr(0700,apache,system) %dir %{localstatedir}/cache/mod_ssl
%attr(0600,apache,system) %{localstatedir}/cache/mod_ssl/scache.dir
%attr(0600,apache,system) %{localstatedir}/cache/mod_ssl/scache.pag
%attr(0600,apache,system) %{localstatedir}/cache/mod_ssl/scache.sem
%attr(0700,apache,system) %dir %{localstatedir}/cache/mod_proxy


%changelog
* Wed May 04 2016 Michael Perzl <michael@perzl.org> - 2.4.20-1
- updated to version 2.4.20

* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 2.4.18-2
- recompiled against latest version of openssl

* Mon Dec 21 2015 Michael Perzl <michael@perzl.org> - 2.4.18-1
- updated to version 2.4.18

* Tue Oct 13 2015 Michael Perzl <michael@perzl.org> - 2.4.17-1
- updated to version 2.4.17

* Wed Jul 22 2015 Michael Perzl <michael@perzl.org> - 2.4.16-1
- updated to version 2.4.16

* Mon Feb 02 2015 Michael Perzl <michael@perzl.org> - 2.4.12-1
- updated to version 2.4.12

* Tue Aug 12 2014 Michael Perzl <michael@perzl.org> - 2.4.10-1
- updated to version 2.4.10

* Tue Aug 12 2014 Michael Perzl <michael@perzl.org> - 2.4.9-1
- updated to version 2.4.9

* Fri Nov 29 2013 Michael Perzl <michael@perzl.org> - 2.4.7-1
- updated to version 2.4.7

* Mon Jul 22 2013 Michael Perzl <michael@perzl.org> - 2.4.6-1
- updated to version 2.4.6

* Fri Jun 14 2013 Michael Perzl <michael@perzl.org> - 2.4.4-2
- rebuilt as 64-bit version and renamed to 'httpd_64'

* Wed May 15 2013 Michael Perzl <michael@perzl.org> - 2.4.4-2
- fixed the %preun scripts during upgrades

* Sun Mar 03 2013 Michael Perzl <michael@perzl.org> - 2.4.4-1
- update to version 2.4.4

* Sat Aug 25 2012 Michael Perzl <michael@perzl.org> - 2.4.3-1
- update to version 2.4.3

* Mon Aug 06 2012 Michael Perzl <michael@perzl.org> - 2.4.2-4
- added missing %preun and %post install scripts for mod_lua
- added missing %preun and %post install scripts for mod_proxy_html

* Wed Jul 18 2012 Michael Perzl <michael@perzl.org> - 2.4.2-3
- added mod_lua and rebuilt against proper version of lua
- added mod_proxy_html

* Mon Jun 04 2012 Michael Perzl <michael@perzl.org> - 2.4.2-2
- rebuilt against correct version of openssl

* Thu May 10 2012 Michael Perzl <michael@perzl.org> - 2.4.2-1
- updated to version 2.4.2

* Thu Feb 23 2012 Michael Perzl <michael@perzl.org> - 2.4.1-1
- updated to version 2.4.1

* Tue Feb 07 2012 Jeremy Chalfant <jchalfan@us.ibm.com> - 2.2.22-2
- fixed suexec by adding --with-suexec-bin and --with-suexec-logfile
- to configure, it was not inferring these and httpd binary was expecting
- it at /opt/freeware/etc/httpd/bin/suexec the logfile at /var/logs/suexec_log

* Mon Feb 06 2012 Michael Perzl <michael@perzl.org> - 2.2.22-1
- updated to version 2.2.22

* Fri Oct 07 2011 Michael Perzl <michael@perzl.org> - 2.2.21-2
- applied latest security fixes

* Thu Sep 15 2011 Michael Perzl <michael@perzl.org> - 2.2.21-1
- updated to version 2.2.21

* Wed Sep 07 2011 Michael Perzl <michael@perzl.org> - 2.2.20-1
- updated to version 2.2.20

* Mon Jun 13 2011 Michael Perzl <michael@perzl.org> - 2.2.19-1
- updated to version 2.2.19

* Thu May 19 2011 Michael Perzl <michael@perzl.org> - 2.2.17-4
- improved the init.d scripts

* Thu Apr 14 2011 Michael Perzl <michael@perzl.org> - 2.2.17-3
- change permissions of /var/log/http to make CGIs work
- added a 'sleep 2' in the init.d script for 'restart'

* Thu Jan 28 2011 Michael Perzl <michael@perzl.org> - 2.2.17-2
- added the 'prefork' and 'event' MPMs
- added the LDAP modules and thus dependency on openldap
- create user 'apache' and group 'apache' only if they don't exist yet

* Thu Nov 18 2010 Michael Perzl <michael@perzl.org> - 2.2.17-1
- updated to v2.2.17

* Tue Aug 10 2010 Michael Perzl <michael@perzl.org> - 2.2.16-1
- updated to v2.2.16

* Tue Mar 09 2010 Michael Perzl <michael@perzl.org> - 2.2.15-1
- updated to v2.2.15

* Thu Feb 18 2010 Michael Perzl <michael@perzl.org> - 2.2.14-2
- fixed a dependency problem (apr-devel and apr-util-devel) of httpd-devel

* Tue Nov 17 2009 Michael Perzl <michael@perzl.org> - 2.2.14-1
- updated to v2.2.14

* Tue Apr 21 2009 Michael Perzl <michael@perzl.org> - 2.2.11-1
- updated to v2.2.11

* Fri Dec 05 2008 Michael Perzl <michael@perzl.org> - 2.2.10-1
- updated to v2.2.10

* Tue Aug 18 2008 Michael Perzl <michael@perzl.org> - 2.2.9-1
- updated to v2.2.9
- added dependency on newest apr version for random number generator

* Mon Mar 31 2008 Michael Perzl <michael@perzl.org> - 2.2.8-2
- rebuilt against new version of expat and added dependency on external pcre

* Mon Mar 03 2008 Michael Perzl <michael@perzl.org> - 2.2.8-1
- updated to v2.2.8

* Mon Mar 03 2008 Michael Perzl <michael@perzl.org> - 2.2.6-2
- some minor corrections

* Wed Oct 17 2007 Michael Perzl <michael@perzl.org> - 2.2.6-1
- updated to v2.2.6

* Wed Sep 05 2007 Michael Perzl <michael@perzl.org> - 2.2.4-1
- updated to v2.2.4

* Wed May 31 2006 Michael Perzl <michael@perzl.org> - 2.2.2-1
- first version for AIX V5.1 and higher
